## python3-defaults 3.10.6-1~22.04.1

=== Makefile ===
#!/usr/bin/make -f
INSTALL ?= install
PREFIX ?= /usr/local
MANPAGES ?= py3compile.1 py3clean.1
VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: (.+),\1,p')

clean:
	find . -name '*.py[co]' -delete
	find . -name __pycache__ -type d | xargs rm -rf
	rm -f .coverage $(MANPAGES)

install-dev:
	$(INSTALL) -m 755 -d $(DESTDIR)$(PREFIX)/bin \
		$(DESTDIR)$(PREFIX)/share/python3/runtime.d
	$(INSTALL) -m 755 runtime.d/* $(DESTDIR)$(PREFIX)/share/python3/runtime.d/

install-runtime:
	$(INSTALL) -m 755 -d $(DESTDIR)$(PREFIX)/share/python3/debpython $(DESTDIR)$(PREFIX)/bin
	$(INSTALL) -m 644 debpython/*.py $(DESTDIR)$(PREFIX)/share/python3/debpython/
	$(INSTALL) -m 755 py3compile $(DESTDIR)$(PREFIX)/bin/
	sed -i -e 's/DEVELV/$(VERSION)/' $(DESTDIR)$(PREFIX)/bin/py3compile
	$(INSTALL) -m 755 py3clean $(DESTDIR)$(PREFIX)/bin/
	sed -i -e 's/DEVELV/$(VERSION)/' $(DESTDIR)$(PREFIX)/bin/py3clean

install: install-dev install-runtime

%.1: %.rst
	rst2man $< > $@

manpages: $(MANPAGES)

sbuild:
	sbuild --debbuildopts -I

# TESTS
tests:
	nosetests3 --with-doctest --with-coverage

check_versions:
	@PYTHONPATH=. set -e; \
	DEFAULT=`python3 -c 'import debpython.version as v; print(v.vrepr(v.DEFAULT))'`;\
	SUPPORTED=`python3 -c 'import debpython.version as v; print(" ".join(sorted(v.vrepr(v.SUPPORTED))))'`;\
	DEB_DEFAULT=`sed -rn 's,^default-version = python([0.9.]*),\1,p' debian/debian_defaults`;\
	DEB_SUPPORTED=`sed -rn 's|^supported-versions = (.*)|\1|p' debian/debian_defaults | sed 's/python//g;s/,//g'`;\
	[ "$$DEFAULT" = "$$DEB_DEFAULT" ] || \
	(echo 'Please update DEFAULT in debpython/version.py' >/dev/stderr; false);\
	[ "$$SUPPORTED" = "$$DEB_SUPPORTED" ] || \
	(echo 'Please update SUPPORTED in debpython/version.py' >/dev/stderr; false)

.PHONY: clean tests test% check_versions

=== debian/changelog ===
python3-defaults (3.10.6-1~22.04.1) jammy; urgency=medium

  * Don't use shell when calling dpkg -L
  * Correct locale when calling dpkg -L to avoid failures in py3clean
    (LP: #2075337)

 -- Dave Jones <dave.jones@canonical.com>  Thu, 08 Aug 2024 14:28:21 +0200

=== debian/control ===
Source: python3-defaults
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Uploaders: Piotr Ożarowski <piotr@debian.org>, Stefano Rivera <stefanor@debian.org>
Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.17.11), python3.10:any (>= 3.10.6-1~),
  lsb-release,
  python3-minimal:any,
  python3-docutils,
  python3-sphinx,
  html2text,
Standards-Version: 4.6.0
Homepage: https://www.python.org/
Vcs-Git: https://salsa.debian.org/cpython-team/python3-defaults.git
Vcs-Browser: https://salsa.debian.org/cpython-team/python3-defaults

Package: python3
Architecture: any
Multi-Arch: allowed
Pre-Depends: python3-minimal (= ${binary:Version})
Depends: python3.10 (>= 3.10.6-1~), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}
Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= 3.10.6-1~) , python3-venv (>= ${binary:Version})
Replaces: python3-minimal (<< 3.1.2-2)
Provides: python3-profiler
Description: interactive high-level object-oriented language (default python3 version)
 Python, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.10).

Package: python3-venv
Architecture: any
Multi-Arch: allowed
Depends: python3.10-venv (>= 3.10.6-1~), python3 (= ${binary:Version}),
  python3-distutils (>= 3.10.6-1~), ${misc:Depends}
Description: venv module for python3 (default python3 version)
 This package contains the venv module for the Python language (default python3
 version).
 .
 The venv module provides support for creating lightweight "virtual
 environments" with their own site directories, optionally isolated from system
 site directories. Each virtual environment has its own Python binary (which
 matches the version of the binary that was used to create this environment)
 and can have its own independent set of installed Python packages in its site
 directories.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version's venv module (currently v3.10).

Package: python3-minimal
Architecture: any
Multi-Arch: allowed
Pre-Depends: python3.10-minimal (>= 3.10.6-1~)
Depends: dpkg (>= 1.13.20), ${misc:Depends}
Description: minimal subset of the Python language (default python3 version)
 This package contains the interpreter and some essential modules.  It's used
 in the boot process for some basic tasks.
 See /usr/share/doc/python3.10-minimal/README.Debian for a list of the modules
 contained in this package.
XB-Cnf-Visible-Pkgname: python3

Package: python3-nopie
Architecture: any
Multi-Arch: allowed
Depends: python3 (= ${binary:Version}),
  python3.10-nopie (>= 3.10.6-1~), ${misc:Depends}
Description: Python interpreter linked without PIE (default python3 version)
 This package contains the interpreter not built as position independent
 executable. This interpreter is diverting the python3 executable, and making
 the interpreter built with PIE available as python3-pie.
XB-Cnf-Visible-Pkgname: python3

Package: python3-examples
Architecture: all
Multi-Arch: foreign
Depends: python3 (>= ${binary:Version}), python3.10-examples (>= 3.10.6-1~), ${misc:Depends}
Description: examples for the Python language (default version)
 Examples, Demos and Tools for Python. These are files included in
 the upstream Python distribution.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version's examples (currently v3.10).

Package: python3-dev
Architecture: any
Multi-Arch: allowed
Depends: python3 (= ${binary:Version}), libpython3-dev (= ${binary:Version}),
  python3.10-dev (>= 3.10.6-1~), python3-distutils (>= 3.10.6-1~),
  ${misc:Depends}, ${sphinxdoc:Depends}
Breaks: python3 (<< 3.9.2-1~)
Replaces: python3.1 (<< 3.1.2+20100706-3), python3 (<< 3.9.2-1~)
Built-Using: ${sphinxdoc:Built-Using}
Description: header files and a static library for Python (default)
 Header files, a static library and development tools for building
 Python modules, extending the Python interpreter or embedding Python
 in applications.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version's headers (currently v3.10).

Package: libpython3-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libpython3.10-dev (>= 3.10.6-1~), ${misc:Depends}
Breaks: libpython3.8-dev (<< 3.8.0-2), python3-dev (<< 3.8.0-1)
Replaces: libpython3.8-dev (<< 3.8.0-2), python3-dev (<< 3.8.0-1)
Description: header files and a static library for Python (default)
 Header files, a static library and development tools for building
 Python modules, extending the Python interpreter or embedding Python
 in applications.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version's headers (currently v3.10).

Package: libpython3-stdlib
Architecture: any
Multi-Arch: same
Depends: libpython3.10-stdlib (>= 3.10.6-1~), ${misc:Depends}
Description: interactive high-level object-oriented language (default python3 version)
 This package contains the majority of the standard library for the Python
 language (default python3 version).
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version's standard library (currently v3.10).

Package: idle
Architecture: all
Depends: python3 (>= ${binary:Version}), python3-tk, ${misc:Depends}, idle-python3.10
Enhances: python3
Breaks: idle3 (<< 3.6.2-2)
Replaces: idle3 (<< 3.6.2-2)
Description: IDE for Python using Tkinter (default version)
 IDLE is an Integrated Development Environment for Python.
 IDLE is written using Tkinter and therefore quite platform-independent.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version's IDLE (currently v3.10).

Package: idle3
Architecture: all
Section: oldlibs
Depends: python3 (>= ${binary:Version}), idle (>= ${binary:Version}), ${misc:Depends}
Description: IDE for Python using Tkinter (transitional package)
 IDLE is an Integrated Development Environment for Python.
 .
 This package is a transitional package, you can safely remove it.

Package: python3-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: python3.10-doc (>= 3.10.6-1~), ${misc:Depends}
Suggests: python3 (>= ${binary:Version}), python3-examples
Description: documentation for the high-level object-oriented language Python 3
 This is the official set of documentation for the interactive high-level
 object-oriented language Python 3 (v3.10). All documents are provided
 in HTML format, some in info format. The package consists of nine documents:
 .
   * Tutorial
   * Python Library Reference
   * Macintosh Module Reference
   * Python Language Reference
   * Extending and Embedding Python
   * Python/C API Reference
   * Installing Python Modules
   * Documenting Python
   * Distributing Python Modules
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version's documentation (currently v3.10).

Package: python3-dbg
Architecture: any
Multi-Arch: allowed
Section: debug
Depends: python3 (= ${binary:Version}), libpython3-dbg (= ${binary:Version}), python3.10-dbg (>= 3.10.6-1~), ${misc:Depends}
Description: debug build of the Python 3 Interpreter (version 3.10)
 Python 3 interpreter configured with --pydebug. Dynamically loaded modules
 are searched in /usr/lib/python3.10/lib-dynload/debug first.

Package: libpython3-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends: libpython3.10-dbg (>= 3.10.6-1~), ${misc:Depends}
Breaks: python3-dbg (<< 3.8.0-1)
Replaces: python3-dbg (<< 3.8.0-1)
Description: debug build of the Python 3 Interpreter (version 3.10)
 Python 3 interpreter configured with --pydebug. Dynamically loaded modules
 are searched in /usr/lib/python3.10/lib-dynload/debug first.

Package: python3-all
Architecture: any
Multi-Arch: allowed
Depends: python3 (= ${binary:Version}),
 ${misc:Depends},
 python3-distutils (>= 3.10.6-1~),
 python3.10,
Description: package depending on all supported Python 3 runtime versions
 The package currently depends on python3.10, in the future,
 dependencies on jython (Python for a JVM) and ironpython (Python for Mono)
 may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 runtimes.

Package: python3-all-dev
Architecture: any
Multi-Arch: allowed
Depends: python3 (= ${binary:Version}),
 libpython3-all-dev (= ${binary:Version}),
 python3-all (= ${binary:Version}),
 python3-dev (= ${binary:Version}),
 ${misc:Depends},
 python3.10-dev,
Description: package depending on all supported Python 3 development packages
 The package currently depends on python3.10-dev, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 development
 packages.

Package: python3-all-dbg
Architecture: any
Multi-Arch: allowed
Section: debug
Depends: python3 (= ${binary:Version}),
 libpython3-all-dbg (= ${binary:Version}),
 python3-all (= ${binary:Version}),
 python3-dbg (= ${binary:Version}),
 ${misc:Depends},
 python3.10-dbg,
Description: package depending on all supported Python 3 debugging packages
 The package currently depends on python3.10-dbg, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 debug packages.

Package: libpython3-all-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libpython3-dev (= ${binary:Version}),
 ${misc:Depends},
 libpython3.10-dev,
Description: package depending on all supported Python 3 development packages
 The package currently depends on libpython3.10-dev, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 development
 packages.

Package: libpython3-all-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends: libpython3-dbg (= ${binary:Version}),
 ${misc:Depends},
 libpython3.10-dbg,
Description: package depending on all supported Python 3 debugging packages
 The package currently depends on libpython3.10-dbg, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 debug packages.

Package: 2to3
Architecture: all
Multi-Arch: foreign
Depends: python3-lib2to3 (>= 3.10.6-1~), python3 (>= ${binary:Version}), ${misc:Depends}
Breaks: python (<< 2.7.14-4)
Replaces: python (<< 2.7.14-4)
Description: 2to3 binary using python3
 2to3 is a Python program that reads Python 2.x source code and applies a
 series of fixers to transform it into valid Python 3.x code. The standard
 library contains a rich set of fixers that will handle almost all code. 2to3
 supporting library lib2to3 is, however, a flexible and generic library, so it
 is possible to write your own fixers for 2to3. lib2to3 could also be adapted
 to custom applications in which Python code needs to be edited automatically.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 2to3 version (currently v3.10).

Package: python3-full
Architecture: any
Multi-Arch: allowed
Depends: python3 (= ${binary:Version}),
  python3.10-full (>= 3.10.6-1~),
  python3-venv (= ${binary:Version}),
  2to3,
  idle,
  python3-distutils,
  python3-gdbm,
  python3-lib2to3,
  python3-tk,

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

export SHELL = /bin/bash

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

changelog_values := $(shell dpkg-parsechangelog \
			| awk '/^(Version|Source):/ {print $$2}')
PKGSOURCE  := $(word 1, $(changelog_values))
PKGVERSION := $(word 2, $(changelog_values))
UPSTRVER   := $(shell echo $(PKGVERSION) | sed 's,(.*)-.*,\1,')
VER        := $(shell echo $(PKGVERSION) | awk 'BEGIN{FS="." }{print $$1 "." $$2}')
NVER       := $(shell echo $(VER) | awk 'BEGIN{FS="." }{print $$1 "." $$2 + 1}') 


distribution := $(shell dpkg-vendor --query Vendor)
distrelease  := $(shell lsb_release -cs)

# requiered python3.x version
UPSTRVER   := 3.10.6-1~

# required versions of python3-lib2to3 and python3-distutils
STDLIBVER   := 3.10.6-1~

ifeq (,$(filter $(distrelease),lenny etch squeeze wheezy lucid maverick natty oneiric precise quantal raring saucy trusty))
  bd_i586 = dpkg-dev (>= 1.17.11), python3.10:any (>= 3.10.6-1~),
else
  bd_i586 = dpkg-dev (>= 1.16.1~),
endif

PWD		:= $(shell pwd)

d		:= debian/tmp
scriptdir	=  usr/share/lib/python$(VER)
scriptdir	=  usr/share/python$(VER)
scriptdir	=  usr/lib/python$(VER)

rst2html	= rst2html

with_doc	= yes
ifneq ($(with_doc),yes)
  NOPKGS	= -Npython-doc
endif

build-arch: build
build-indep: build

build: stamp-build
stamp-build:
	touch stamp-build

stamp-doc-policy:
	: # compact text version
	$(MAKE) -C policy singlehtml SPHINXOPTS='-D html_theme_options.nosidebar=true'
	( \
	    echo 'The HTML version of the Debian Python Policy can be found in the python3-dev package'; \
	    html2text -utf8 -style pretty policy/_build/singlehtml/index.html; \
	) > policy/_build/python-policy.txt
	rm -rf policy/_build/singlehtml

	: # dh_sphinxdoc cannot handle singlehtml, so build both and then discard html
	$(MAKE) -C policy html singlehtml
	touch stamp-doc-policy

stamp-doc: stamp-doc-policy
	touch stamp-doc

control-file:
	sed -e "s/@UPSTRVER@/$(UPSTRVER)/g" \
	    -e "s/@STDLIBVER@/$(STDLIBVER)/g" \
	    -e "s/@NVER@/$(NVER)/g" \
	    -e "s/@VER@/$(VER)/g" \
	    -e "s/@bd_i586@/$(bd_i586)/g" \
		<debian/control.in >debian/control.tmp
ifeq ($(distribution),Ubuntu)
  ifneq (,$(findstring ubuntu, $(PKGVERSION)))
	m='Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>'; \
	sed -i "/^Maintainer:/s/\(.*\)/Maintainer: $$m\nXSBC-Original-\1/" \
	  debian/control.tmp
  endif
endif
	[ -e debian/control ] \
	  && cmp -s debian/control debian/control.tmp \
	  && rm -f debian/control.tmp && exit 0; \
	  mv debian/control.tmp debian/control

faqs = index general programming library extending windows gui installed
get-faq:
	rm -rf faq
	mkdir faq
	cd faq && \
	  wget -nv $(foreach p,$(faqs),http://python.org/doc/faq/$(p).ht)
	sed 's,\<\([a-zA-Z0-9]*\.html\)\>,faq/\1,' faq/index.ht \
		| awk '/^Translations$$/ {exit} {print}' > faq/FAQ.ht
	( \
	  echo ''; \
	  echo 'This is a local copy of the online FAQ located at'; \
	  echo 'http://python.org/doc/faq.'; \
	  echo "The copy was fetched and generated in `date '+%B %Y'`."; \
	) >> faq/FAQ.ht
	rm -f faq/index.ht

clean: control-file
	dh_testdir
	dh_testroot
	rm -f stamp-*
	rm -f patch-stamp*

	rm -rf policy/_build
	rm -f faq/*.h2 faq/*.html

	set -e;\
	for f in debian/*.in; do \
	    f2=`echo $$f | sed "s,PVER,python$(VER),g;s/VER/$(VER)/g;s,\.in$$,,"`; \
	    if [ $$f2 != debian/control ]; then \
	        rm -f $$f2; \
	    fi; \
	done
	rm -f debian/*.py[co]
	make clean
	dh_clean

stamp-control:
	: # We have to prepare the various control files

	set -e;\
	for f in debian/*.in; do \
	    f2=`echo $$f | sed "s,PVER,python$(VER),g;s/VER/$(VER)/g;s,\.in$$,,"`; \
	    if [ $$f2 != debian/control ]; then \
		sed -e "s/@PVER@/python$(VER)/g;s/@VER@/$(VER)/g" \
		    -e "s/@PRIORITY@/$(PRIORITY)/g" \
		    -e "s,@SCRIPTDIR@,/$(scriptdir),g" \
		  <$$f >$$f2; \
	    fi; \
	done

install: build stamp-dh_python stamp-install
stamp-install: stamp-build control-file stamp-control
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_install
ifeq (0,1)
	dh_installdirs usr/share/doc/python/faq

	set -e; \
	cd faq && \
	for p in *.ht; do \
	  p=`basename $$p .ht`; \
	  echo $(rst2html) $$p.ht $$p.html; \
	  awk 'NR > 2' $$p.ht > $$p.ht2; \
	  $(rst2html) $$p.ht2 $$p.html; \
	  mv $$p.html ../debian/python/usr/share/doc/python/faq/; \
	  rm -f $$p.ht2; \
	done
	mv debian/python/usr/share/doc/python/faq/FAQ.html \
		debian/python/usr/share/doc/python/
endif
	touch stamp-install

stamp-dh_python:
	dh_testdir
	dh_testroot
	dh_installdirs
	#make check_versions
	DESTDIR=debian/python3 PREFIX=/usr make install-dev
	DESTDIR=debian/python3-minimal PREFIX=/usr make install-runtime manpages
	# disabled by default, run manually if you want to update it
	# (requires apt-file and network connection)
	#make dist_fallback
	touch $@

# Build architecture-independent files here.
binary-indep: build install stamp-doc
	dh_testdir -i
	dh_testroot -i
	dh_installman -i

ifeq ($(with_doc),yes)
	mkdir -p debian/python3-doc/usr/share/doc/python3
	ln -sf ../python$(VER)-doc/html \
		debian/python3-doc/usr/share/doc/python3/html
	mkdir -p debian/python3-doc/usr/share/doc/python3-doc
	ln -sf ../python$(VER)-doc/html \
		debian/python3-doc/usr/share/doc/python3-doc/html
endif

	: # provide the idle and idle.1 defaults
	mkdir -p debian/idle/usr/bin
	install -m 755 debian/idle.py debian/idle/usr/bin/idle

	mkdir -p debian/idle/usr/share/man/man1
	install -m 644 debian/idle.1 debian/idle/usr/share/man/man1/idle.1

	mkdir -p debian/idle/usr/share/pixmaps
	ln -sf python3.xpm debian/idle/usr/share/pixmaps/idle.xpm

	mkdir -p debian/idle/usr/share/applications
	cp -p debian/idle.desktop debian/idle/usr/share/applications/

	: # provide the 2to3-3 a and 2to3-3.1 defaults
	mkdir -p debian/2to3/usr/bin
	install -m 755 debian/2to3.py debian/2to3/usr/bin/2to3

	mkdir -p debian/2to3/usr/share/man/man1
	install -m 644 debian/2to3.1 debian/2to3/usr/share/man/man1/2to3.1

#	dh_installdebconf -i $(NOPKGS)
	dh_lintian -i
	dh_installdocs -i $(NOPKGS) --all debian/README.Debian
	dh_installchangelogs -i $(NOPKGS)

	for p in examples idle idle3; do \
	  case $$p in idle*) : ;; *) p=python3-$$p; esac; \
	  rm -rf debian/$$p/usr/share/doc/$$p; \
	  ln -sf python3 debian/$$p/usr/share/doc/$$p; \
	done

	dh_compress -i $(NOPKGS)
	dh_fixperms -i $(NOPKGS)
	dh_installdeb -i $(NOPKGS)
	dh_gencontrol -i $(NOPKGS)
	dh_md5sums -i $(NOPKGS)
	dh_builddeb -i $(NOPKGS)

# Build architecture-dependent files here.
binary-arch: build install stamp-doc
	dh_testdir -a
	dh_testroot -a
	dh_installman -a

	: # provide the python and python.1 defaults
	mkdir -p debian/python3-minimal/usr/bin
	ln -sf python$(VER) debian/python3-minimal/usr/bin/python3
	mkdir -p debian/python3-minimal/usr/share/man/man1
	ln -sf python$(VER).1.gz \
		debian/python3-minimal/usr/share/man/man1/python3.1.gz

	: # 
	mkdir -p debian/python3-minimal/usr/share/python3
	cp -p debian/debian_defaults \
		debian/python3-minimal/usr/share/python3/

	install -m 755 debian/py3versions.py \
		debian/python3-minimal/usr/share/python3/
	install -m 644 debian/py3versions.1 \
		debian/python3-minimal/usr/share/man/man1/
	dh_link -ppython3-minimal /usr/share/python3/py3versions.py /usr/bin/py3versions

#	mkdir debian/python-minimal/usr/share/python-central
#	cp -p debian/python.pycentral debian/python-minimal/usr/share/python-central/

	mkdir -p debian/python3/usr/bin
	ln -sf pydoc$(VER) debian/python3/usr/bin/pydoc3
	ln -sf pygettext$(VER) debian/python3/usr/bin/pygettext3
	ln -sf pdb$(VER) debian/python3/usr/bin/pdb3

	mkdir -p debian/python3/usr/share/python3
	install -m 644 debian/python.mk \
		debian/python3/usr/share/python3/

	mkdir -p debian/python3/usr/share/man/man1
	ln -sf pydoc$(VER).1.gz \
		debian/python3/usr/share/man/man1/pydoc3.1.gz
	ln -sf pygettext$(VER).1.gz \
		debian/python3/usr/share/man/man1/pygettext3.1.gz
	ln -sf pdb$(VER).1.gz \

## python3-defaults 3.11.2-1

=== debian/changelog ===
python3-defaults (3.11.2-1) unstable; urgency=high

  * Bump version to 3.11.2. Closes: #1031336.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 15 Feb 2023 11:07:00 +0100

python3-defaults (3.11.1-3) unstable; urgency=medium

  * Update python-policy doc-base metadata. (Closes: #1013185)
  * Avoid an unnecessary shell in debpython and py3compile. (Closes: #1025976)
  * Avoid use of lsb-release, to ease bootstrapping.
  * Avoid circular Build-Depends on python3-minimal, to ease bootstrapping.
  * Support the nodoc build profile, to allow bootstrapping. (Closes: #869959)
  * py3compile: Correctly parse the PEP-552 (3.7+) expanded bytecode file
    header, avoiding unnecessary re-compilation. (Closes: #1006136)
  * py3compile: Handle post-2038 mtimes, by treating them as unsigned ints.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 29 Jan 2023 18:22:38 -0400

python3-defaults (3.11.1-2) unstable; urgency=medium

  * Provide python3-supported-min and python3-supported-max versioned virtual
    packages, to allow modules to easily declare dependencies for all
    supported versions.
  * Bump Depends to 3.11.1-1.
  * Drop support for Python 3.10.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 28 Jan 2023 09:46:57 -0400

python3-defaults (3.11.1-1) unstable; urgency=medium

  * Default to python 3.11.
  * Bump version to 3.11.1.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Mon, 02 Jan 2023 16:35:47 +0100

python3-defaults (3.10.6-3) unstable; urgency=medium

  * Update python.mk to use distutils from setuptools, to determine build
    directory names. Thanks YOKOTA Hiroshi.
  * Add --{min,max}-supported to py3versions, thanks Julian Gilbey.
    Closes: #1016073

 -- Stefano Rivera <stefanor@debian.org>  Tue, 15 Nov 2022 21:36:57 +0200

python3-defaults (3.10.6-2) unstable; urgency=medium

  [ Matthias Klose ]
  * Add 3.11 as a supported Python3 version
  * Bump version to 3.10.8.
  * Update valgrind suppression file.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 11 Nov 2022 11:10:31 +0200

=== debian/control ===
Source: python3-defaults
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Uploaders: Piotr Ożarowski <piotr@debian.org>, Stefano Rivera <stefanor@debian.org>
Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.17.11), python3.11:any (>= 3.11.2-1~),
  python3.11-minimal:any,
  python3-docutils <!nodoc>,
  python3-sphinx <!nodoc>,
  html2text <!nodoc>,
Standards-Version: 4.6.2
Homepage: https://www.python.org/
Vcs-Git: https://salsa.debian.org/cpython-team/python3-defaults.git
Vcs-Browser: https://salsa.debian.org/cpython-team/python3-defaults

Package: python3
Architecture: any
Multi-Arch: allowed
Pre-Depends: python3-minimal (= ${binary:Version})
Depends: python3.11 (>= 3.11.2-1~), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}
Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= 3.11.2-1~) , python3-venv (>= ${binary:Version})
Replaces: python3-minimal (<< 3.1.2-2)
Provides: python3-profiler, python3-supported-min (= 3.11), python3-supported-max (= 3.11)
Description: interactive high-level object-oriented language (default python3 version)
 Python, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.11).

Package: python3-venv
Architecture: any
Multi-Arch: allowed
Depends: python3.11-venv (>= 3.11.2-1~), python3 (= ${binary:Version}),
  python3-distutils (>= 3.11.2-1~), ${misc:Depends}
Description: venv module for python3 (default python3 version)
 This package contains the venv module for the Python language (default python3
 version).
 .
 The venv module provides support for creating lightweight "virtual
 environments" with their own site directories, optionally isolated from system
 site directories. Each virtual environment has its own Python binary (which
 matches the version of the binary that was used to create this environment)
 and can have its own independent set of installed Python packages in its site
 directories.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version's venv module (currently v3.11).

Package: python3-minimal
Architecture: any
Multi-Arch: allowed
Pre-Depends: python3.11-minimal (>= 3.11.2-1~)
Depends: dpkg (>= 1.13.20), ${misc:Depends}
Description: minimal subset of the Python language (default python3 version)
 This package contains the interpreter and some essential modules.  It's used
 in the boot process for some basic tasks.
 See /usr/share/doc/python3.11-minimal/README.Debian for a list of the modules
 contained in this package.
XB-Cnf-Visible-Pkgname: python3

Package: python3-nopie
Architecture: any
Multi-Arch: allowed
Depends: python3 (= ${binary:Version}),
  python3.11-nopie (>= 3.11.2-1~), ${misc:Depends}
Description: Python interpreter linked without PIE (default python3 version)
 This package contains the interpreter not built as position independent
 executable. This interpreter is diverting the python3 executable, and making
 the interpreter built with PIE available as python3-pie.
XB-Cnf-Visible-Pkgname: python3

Package: python3-examples
Architecture: all
Multi-Arch: foreign
Depends: python3 (>= ${binary:Version}), python3.11-examples (>= 3.11.2-1~), ${misc:Depends}
Description: examples for the Python language (default version)
 Examples, Demos and Tools for Python. These are files included in
 the upstream Python distribution.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version's examples (currently v3.11).

Package: python3-dev
Architecture: any
Multi-Arch: allowed
Depends: python3 (= ${binary:Version}), libpython3-dev (= ${binary:Version}),
  python3.11-dev (>= 3.11.2-1~), python3-distutils (>= 3.11.2-1~),
  ${misc:Depends}, ${sphinxdoc:Depends}
Breaks: python3 (<< 3.9.2-1~)
Replaces: python3.1 (<< 3.1.2+20100706-3), python3 (<< 3.9.2-1~)
Built-Using: ${sphinxdoc:Built-Using}
Description: header files and a static library for Python (default)
 Header files, a static library and development tools for building
 Python modules, extending the Python interpreter or embedding Python
 in applications.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version's headers (currently v3.11).

Package: libpython3-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libpython3.11-dev (>= 3.11.2-1~), ${misc:Depends}
Breaks: libpython3.8-dev (<< 3.8.0-2), python3-dev (<< 3.8.0-1)
Replaces: libpython3.8-dev (<< 3.8.0-2), python3-dev (<< 3.8.0-1)
Description: header files and a static library for Python (default)
 Header files, a static library and development tools for building
 Python modules, extending the Python interpreter or embedding Python
 in applications.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version's headers (currently v3.11).

Package: libpython3-stdlib
Architecture: any
Multi-Arch: same
Depends: libpython3.11-stdlib (>= 3.11.2-1~), ${misc:Depends}
Description: interactive high-level object-oriented language (default python3 version)
 This package contains the majority of the standard library for the Python
 language (default python3 version).
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version's standard library (currently v3.11).

Package: idle
Architecture: all
Depends: python3 (>= ${binary:Version}), python3-tk, ${misc:Depends}, idle-python3.11
Enhances: python3
Breaks: idle3 (<< 3.6.2-2)
Replaces: idle3 (<< 3.6.2-2)
Description: IDE for Python using Tkinter (default version)
 IDLE is an Integrated Development Environment for Python.
 IDLE is written using Tkinter and therefore quite platform-independent.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version's IDLE (currently v3.11).

Package: idle3
Architecture: all
Section: oldlibs
Depends: python3 (>= ${binary:Version}), idle (>= ${binary:Version}), ${misc:Depends}
Description: IDE for Python using Tkinter (transitional package)
 IDLE is an Integrated Development Environment for Python.
 .
 This package is a transitional package, you can safely remove it.

Package: python3-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: python3.11-doc (>= 3.11.2-1~), ${misc:Depends}
Suggests: python3 (>= ${binary:Version}), python3-examples
Description: documentation for the high-level object-oriented language Python 3
 This is the official set of documentation for the interactive high-level
 object-oriented language Python 3 (v3.11). All documents are provided
 in HTML format, some in info format. The package consists of nine documents:
 .
   * Tutorial
   * Python Library Reference
   * Macintosh Module Reference
   * Python Language Reference
   * Extending and Embedding Python
   * Python/C API Reference
   * Installing Python Modules
   * Documenting Python
   * Distributing Python Modules
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version's documentation (currently v3.11).

Package: python3-dbg
Architecture: any
Multi-Arch: allowed
Section: debug
Depends: python3 (= ${binary:Version}), libpython3-dbg (= ${binary:Version}), python3.11-dbg (>= 3.11.2-1~), ${misc:Depends}
Description: debug build of the Python 3 Interpreter (version 3.11)
 Python 3 interpreter configured with --pydebug. Dynamically loaded modules
 are searched in /usr/lib/python3.11/lib-dynload/debug first.

Package: libpython3-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends: libpython3.11-dbg (>= 3.11.2-1~), ${misc:Depends}
Breaks: python3-dbg (<< 3.8.0-1)
Replaces: python3-dbg (<< 3.8.0-1)
Description: debug build of the Python 3 Interpreter (version 3.11)
 Python 3 interpreter configured with --pydebug. Dynamically loaded modules
 are searched in /usr/lib/python3.11/lib-dynload/debug first.

Package: python3-all
Architecture: any
Multi-Arch: allowed
Depends: python3 (= ${binary:Version}),
 ${misc:Depends},
 python3-distutils (>= 3.11.2-1~),
 python3.11,
Description: package depending on all supported Python 3 runtime versions
 The package currently depends on python3.11, in the future, dependencies on
 jython (Python for a JVM) and ironpython (Python for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 runtimes.

Package: python3-all-dev
Architecture: any
Multi-Arch: allowed
Depends: python3 (= ${binary:Version}),
 libpython3-all-dev (= ${binary:Version}),
 python3-all (= ${binary:Version}),
 python3-dev (= ${binary:Version}),
 ${misc:Depends},
 python3.11-dev,
Description: package depending on all supported Python 3 development packages
 The package currently depends on python3.11-dev, in the future, dependencies
 on jython (Python for a JVM) and ironpython (Python for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 development
 packages.

Package: python3-all-dbg
Architecture: any
Multi-Arch: allowed
Section: debug
Depends: python3 (= ${binary:Version}),
 libpython3-all-dbg (= ${binary:Version}),
 python3-all (= ${binary:Version}),
 python3-dbg (= ${binary:Version}),
 ${misc:Depends},
 python3.11-dbg,
Description: package depending on all supported Python 3 debugging packages
 The package currently depends on python3.11-dbg, in the future, dependencies
 on jython (Python for a JVM) and ironpython (Python for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 debug packages.

Package: libpython3-all-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libpython3-dev (= ${binary:Version}),
 ${misc:Depends},
 libpython3.11-dev,
Description: package depending on all supported Python 3 development packages
 The package currently depends on libpython3.11-dev, in the future,
 dependencies on jython (Python for a JVM) and ironpython (Python for Mono) may
 be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 development
 packages.

Package: libpython3-all-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends: libpython3-dbg (= ${binary:Version}),
 ${misc:Depends},
 libpython3.11-dbg,
Description: package depending on all supported Python 3 debugging packages
 The package currently depends on libpython3.11-dbg, in the future,
 dependencies on jython (Python for a JVM) and ironpython (Python for Mono) may
 be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 debug packages.

Package: 2to3
Architecture: all
Multi-Arch: foreign
Depends: python3-lib2to3 (>= 3.11.2-1~), python3 (>= ${binary:Version}), ${misc:Depends}
Breaks: python (<< 2.7.14-4)
Replaces: python (<< 2.7.14-4)
Description: 2to3 binary using python3
 2to3 is a Python program that reads Python 2.x source code and applies a
 series of fixers to transform it into valid Python 3.x code. The standard
 library contains a rich set of fixers that will handle almost all code. 2to3
 supporting library lib2to3 is, however, a flexible and generic library, so it
 is possible to write your own fixers for 2to3. lib2to3 could also be adapted
 to custom applications in which Python code needs to be edited automatically.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 2to3 version (currently v3.11).

Package: python3-full
Architecture: any
Multi-Arch: allowed
Depends: python3 (= ${binary:Version}),
  python3.11-full (>= 3.11.2-1~),
  python3-venv (= ${binary:Version}),
  2to3,
  idle,

=== debian/rules ===
--- 
+++ 
@@ -18,16 +18,16 @@
 
 
 distribution := $(shell dpkg-vendor --query Vendor)
-distrelease  := $(shell lsb_release -cs)
-
-# requiered python3.x version
-UPSTRVER   := 3.10.6-1~
+distrelease  := $(shell . /etc/os-release; echo $$VERSION_CODENAME)
+
+# required python3.x version
+UPSTRVER   := 3.11.2-1~
 
 # required versions of python3-lib2to3 and python3-distutils
-STDLIBVER   := 3.10.6-1~
+STDLIBVER   := 3.11.2-1~
 
 ifeq (,$(filter $(distrelease),lenny etch squeeze wheezy lucid maverick natty oneiric precise quantal raring saucy trusty))
-  bd_i586 = dpkg-dev (>= 1.17.11), python3.10:any (>= 3.10.6-1~),
+  bd_i586 = dpkg-dev (>= 1.17.11), python3.11:any (>= 3.11.2-1~),
 else
   bd_i586 = dpkg-dev (>= 1.16.1~),
 endif
@@ -41,9 +41,14 @@
 
 rst2html	= rst2html
 
+ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
 with_doc	= yes
+else
+with_doc	= no
+endif
+
 ifneq ($(with_doc),yes)
-  NOPKGS	= -Npython-doc
+  NOPKGS	= -Npython3-doc
 endif
 
 build-arch: build
@@ -66,7 +71,11 @@
 	$(MAKE) -C policy html singlehtml
 	touch stamp-doc-policy
 
+ifeq ($(with_doc),yes)
 stamp-doc: stamp-doc-policy
+else
+stamp-doc:
+endif
 	touch stamp-doc
 
 control-file:
@@ -168,7 +177,10 @@
 	dh_installdirs
 	#make check_versions
 	DESTDIR=debian/python3 PREFIX=/usr make install-dev
-	DESTDIR=debian/python3-minimal PREFIX=/usr make install-runtime manpages
+	DESTDIR=debian/python3-minimal PREFIX=/usr make install-runtime
+ifeq ($(with_doc),yes)
+	DESTDIR=debian/python3-minimal PREFIX=/usr make manpages
+endif
 	# disabled by default, run manually if you want to update it
 	# (requires apt-file and network connection)
 	#make dist_fallback
@@ -263,9 +275,3 @@
 	install -m 644 debian/python.mk \
 		debian/python3/usr/share/python3/
 
-	mkdir -p debian/python3/usr/share/man/man1
-	ln -sf pydoc$(VER).1.gz \
-		debian/python3/usr/share/man/man1/pydoc3.1.gz
-	ln -sf pygettext$(VER).1.gz \
-		debian/python3/usr/share/man/man1/pygettext3.1.gz
-	ln -sf pdb$(VER).1.gz \

## python3-defaults 3.11.4-5

=== debian/changelog ===
python3-defaults (3.11.4-5) unstable; urgency=medium

  * Source-only upload.

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 05 Jul 2023 11:27:27 +0200

python3-defaults (3.11.4-4) unstable; urgency=high

  * Fix importlib.util import (-3 regression, closes: 1040316)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 04 Jul 2023 19:49:27 +0200

python3-defaults (3.11.4-3) unstable; urgency=medium

  * debpython/interpreter.py: Stop using the imp module, removed in 3.12.
    Closes: #1040261.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Jul 2023 12:08:14 +0200

python3-defaults (3.11.4-2) experimental; urgency=medium

  * Add new binary package: python3-all-venv. Closes: #1039988.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 01 Jul 2023 09:38:35 -0400

python3-defaults (3.11.4-1) unstable; urgency=medium

  * Bump version to 3.11.4.

 -- Matthias Klose <doko@debian.org>  Sun, 25 Jun 2023 14:41:31 +0200

=== debian/control ===
--- 
+++ 
@@ -17,8 +17,8 @@
 Architecture: any
 Multi-Arch: allowed
 Pre-Depends: python3-minimal (= ${binary:Version})
-Depends: python3.11 (>= 3.11.2-1~), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}
-Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= 3.11.2-1~) , python3-venv (>= ${binary:Version})
+Depends: python3.11 (>= 3.11.4-1~), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}
+Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= 3.11.4-1~) , python3-venv (>= ${binary:Version})
 Replaces: python3-minimal (<< 3.1.2-2)
 Provides: python3-profiler, python3-supported-min (= 3.11), python3-supported-max (= 3.11)
 Description: interactive high-level object-oriented language (default python3 version)
@@ -32,8 +32,8 @@
 Package: python3-venv
 Architecture: any
 Multi-Arch: allowed
-Depends: python3.11-venv (>= 3.11.2-1~), python3 (= ${binary:Version}),
-  python3-distutils (>= 3.11.2-1~), ${misc:Depends}
+Depends: python3.11-venv (>= 3.11.4-1~), python3 (= ${binary:Version}),
+  python3-distutils (>= 3.11.4-1~), ${misc:Depends}
 Description: venv module for python3 (default python3 version)
  This package contains the venv module for the Python language (default python3
  version).
@@ -51,7 +51,7 @@
 Package: python3-minimal
 Architecture: any
 Multi-Arch: allowed
-Pre-Depends: python3.11-minimal (>= 3.11.2-1~)
+Pre-Depends: python3.11-minimal (>= 3.11.4-1~)
 Depends: dpkg (>= 1.13.20), ${misc:Depends}
 Description: minimal subset of the Python language (default python3 version)
  This package contains the interpreter and some essential modules.  It's used
@@ -64,7 +64,7 @@
 Architecture: any
 Multi-Arch: allowed
 Depends: python3 (= ${binary:Version}),
-  python3.11-nopie (>= 3.11.2-1~), ${misc:Depends}
+  python3.11-nopie (>= 3.11.4-1~), ${misc:Depends}
 Description: Python interpreter linked without PIE (default python3 version)
  This package contains the interpreter not built as position independent
  executable. This interpreter is diverting the python3 executable, and making
@@ -74,7 +74,7 @@
 Package: python3-examples
 Architecture: all
 Multi-Arch: foreign
-Depends: python3 (>= ${binary:Version}), python3.11-examples (>= 3.11.2-1~), ${misc:Depends}
+Depends: python3 (>= ${binary:Version}), python3.11-examples (>= 3.11.4-1~), ${misc:Depends}
 Description: examples for the Python language (default version)
  Examples, Demos and Tools for Python. These are files included in
  the upstream Python distribution.
@@ -86,7 +86,7 @@
 Architecture: any
 Multi-Arch: allowed
 Depends: python3 (= ${binary:Version}), libpython3-dev (= ${binary:Version}),
-  python3.11-dev (>= 3.11.2-1~), python3-distutils (>= 3.11.2-1~),
+  python3.11-dev (>= 3.11.4-1~), python3-distutils (>= 3.11.4-1~),
   ${misc:Depends}, ${sphinxdoc:Depends}
 Breaks: python3 (<< 3.9.2-1~)
 Replaces: python3.1 (<< 3.1.2+20100706-3), python3 (<< 3.9.2-1~)
@@ -103,7 +103,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libpython3.11-dev (>= 3.11.2-1~), ${misc:Depends}
+Depends: libpython3.11-dev (>= 3.11.4-1~), ${misc:Depends}
 Breaks: libpython3.8-dev (<< 3.8.0-2), python3-dev (<< 3.8.0-1)
 Replaces: libpython3.8-dev (<< 3.8.0-2), python3-dev (<< 3.8.0-1)
 Description: header files and a static library for Python (default)
@@ -117,7 +117,7 @@
 Package: libpython3-stdlib
 Architecture: any
 Multi-Arch: same
-Depends: libpython3.11-stdlib (>= 3.11.2-1~), ${misc:Depends}
+Depends: libpython3.11-stdlib (>= 3.11.4-1~), ${misc:Depends}
 Description: interactive high-level object-oriented language (default python3 version)
  This package contains the majority of the standard library for the Python
  language (default python3 version).
@@ -151,7 +151,7 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: python3.11-doc (>= 3.11.2-1~), ${misc:Depends}
+Depends: python3.11-doc (>= 3.11.4-1~), ${misc:Depends}
 Suggests: python3 (>= ${binary:Version}), python3-examples
 Description: documentation for the high-level object-oriented language Python 3
  This is the official set of documentation for the interactive high-level
@@ -175,7 +175,7 @@
 Architecture: any
 Multi-Arch: allowed
 Section: debug
-Depends: python3 (= ${binary:Version}), libpython3-dbg (= ${binary:Version}), python3.11-dbg (>= 3.11.2-1~), ${misc:Depends}
+Depends: python3 (= ${binary:Version}), libpython3-dbg (= ${binary:Version}), python3.11-dbg (>= 3.11.4-1~), ${misc:Depends}
 Description: debug build of the Python 3 Interpreter (version 3.11)
  Python 3 interpreter configured with --pydebug. Dynamically loaded modules
  are searched in /usr/lib/python3.11/lib-dynload/debug first.
@@ -184,7 +184,7 @@
 Architecture: any
 Multi-Arch: same
 Section: debug
-Depends: libpython3.11-dbg (>= 3.11.2-1~), ${misc:Depends}
+Depends: libpython3.11-dbg (>= 3.11.4-1~), ${misc:Depends}
 Breaks: python3-dbg (<< 3.8.0-1)
 Replaces: python3-dbg (<< 3.8.0-1)
 Description: debug build of the Python 3 Interpreter (version 3.11)
@@ -196,7 +196,7 @@
 Multi-Arch: allowed
 Depends: python3 (= ${binary:Version}),
  ${misc:Depends},
- python3-distutils (>= 3.11.2-1~),
+ python3-distutils (>= 3.11.4-1~),
  python3.11,
 Description: package depending on all supported Python 3 runtime versions
  The package currently depends on python3.11, in the future, dependencies on
@@ -238,6 +238,21 @@
  .
  This package is a dependency package used as a build dependency for other
  packages to avoid hardcoded dependencies on specific Python 3 debug packages.
+
+Package: python3-all-venv
+Architecture: any
+Multi-Arch: allowed
+Depends: python3 (= ${binary:Version}),
+ python3-all (= ${binary:Version}),
+ python3-venv (= ${binary:Version}),
+ ${misc:Depends},
+ python3.11-venv,
+Description: package depending on all supported Python 3 venv modules
+ The package currently depends on python3.11-venv, in the future, dependencies
+ on jython (Python for a JVM) and ironpython (Python for Mono) may be added.
+ .
+ This package is a dependency package used as a build dependency for other
+ packages to avoid hardcoded dependencies on specific Python 3 venv packages.
 
 Package: libpython3-all-dev
 Architecture: any
@@ -273,25 +288,9 @@
 Package: 2to3
 Architecture: all
 Multi-Arch: foreign
-Depends: python3-lib2to3 (>= 3.11.2-1~), python3 (>= ${binary:Version}), ${misc:Depends}
+Depends: python3-lib2to3 (>= 3.11.4-1~), python3 (>= ${binary:Version}), ${misc:Depends}
 Breaks: python (<< 2.7.14-4)
 Replaces: python (<< 2.7.14-4)
 Description: 2to3 binary using python3
  2to3 is a Python program that reads Python 2.x source code and applies a
  series of fixers to transform it into valid Python 3.x code. The standard
- library contains a rich set of fixers that will handle almost all code. 2to3
- supporting library lib2to3 is, however, a flexible and generic library, so it
- is possible to write your own fixers for 2to3. lib2to3 could also be adapted
- to custom applications in which Python code needs to be edited automatically.
- .
- This package is a dependency package, which depends on Debian's default
- Python 3 2to3 version (currently v3.11).
-
-Package: python3-full
-Architecture: any
-Multi-Arch: allowed
-Depends: python3 (= ${binary:Version}),
-  python3.11-full (>= 3.11.2-1~),
-  python3-venv (= ${binary:Version}),
-  2to3,
-  idle,

=== debian/rules ===
--- 
+++ 
@@ -21,10 +21,10 @@
 distrelease  := $(shell . /etc/os-release; echo $$VERSION_CODENAME)
 
 # required python3.x version
-UPSTRVER   := 3.11.2-1~
+UPSTRVER   := 3.11.4-1~
 
 # required versions of python3-lib2to3 and python3-distutils
-STDLIBVER   := 3.11.2-1~
+STDLIBVER   := 3.11.4-1~
 
 ifeq (,$(filter $(distrelease),lenny etch squeeze wheezy lucid maverick natty oneiric precise quantal raring saucy trusty))
   bd_i586 = dpkg-dev (>= 1.17.11), python3.11:any (>= 3.11.2-1~),
